# Examples

All files were generated with GNU Octave 6.2.0 on Debian 11 using "Dataset Viewer, version 1.0".
All examples are based on the dataset "ts1\_wc040\_d50_6.oct", which is freely available at the following URL: [https://doi.org/10.3217/bhs4g-m3z76](https://doi.org/10.3217/bhs4g-m3z76)


## Directories and files

```
	examples/   
	├── plot2d   
	│   ├── ts1_wc040_d50_6_c288.png   
	│   ├── ts1_wc040_d50_6_cs288_stacked.png   
	│   ├── ts1_wc040_d50_6_multiple_stacked.png   
	│   └── ts1_wc040_d50_6_s288.png   
	├── plot3d   
	│   ├── ts1_wc040_d50_6_c_all.png   
	│   ├── ts1_wc040_d50_6_c_disturbance.png   
	│   ├── ts1_wc040_d50_6_c_noise.png   
	│   ├── ts1_wc040_d50_6_c_soundwave.png   
	│   ├── ts1_wc040_d50_6_s_all.png   
	│   ├── ts1_wc040_d50_6_s_disturbance.png   
	│   ├── ts1_wc040_d50_6_s_noise.png   
	│   └── ts1_wc040_d50_6_s_soundwave.png   
	├── plotmp4   
	│   ├── ts1_wc040_d50_6_c.mp4   
	│   ├── ts1_wc040_d50_6_cs_combined.mp4   
	│   ├── ts1_wc040_d50_6_cs_stacked.mp4   
	│   └── ts1_wc040_d50_6_s.mp4   
	├── plottem   
	│   ├── ts1_wc040_d50_6_tem_t1.png   
	│   ├── ts1_wc040_d50_6_tem_t1-t3.png   
	│   ├── ts1_wc040_d50_6_tem_t1-t4.png   
	│   ├── ts1_wc040_d50_6_tem_t2.png   
	│   ├── ts1_wc040_d50_6_tem_t3.png   
	│   └── ts1_wc040_d50_6_tem_t4.png   
	├── README.html   
	└── README.md   
```

- **plot2d**: 2D plots of ultrasonic signal data   
- **plot3d**: 3D plots of ultrasonic signal data   
- **plotmp4**: MP4 video of ultrasonic signal data   
- **plottem**: 2D plots of specimen temperature measurements   
- README.html: HTML version of this file   
- README.md: this file   


## Licence

All files listed above are licenced under the [Creative Commons Attribution 4.0 International licence](https://creativecommons.org/licenses/by/4.0/).


---
## Preview - MP4 videos

[![MP4 video, compression wave](https://img.youtube.com/vi/zL3hvoTZr7w/hqdefault.jpg)](https://youtu.be/zL3hvoTZr7w)

[![MP4 video, shear wave](https://img.youtube.com/vi/LoEu6EJStJY/hqdefault.jpg)](https://youtu.be/LoEu6EJStJY)

[![MP4 video, compression and shear wave, combined](https://img.youtube.com/vi/anilHWu7ubY/hqdefault.jpg)](https://youtu.be/anilHWu7ubY)

[![MP4 video, compression and shear wave, stacked](https://img.youtube.com/vi/vOIAmYTX2sM/hqdefault.jpg)](https://youtu.be/vOIAmYTX2sM)


---
## Preview - 2D plots

![2D plot, compression wave, maturity 1440 min](./plot2d/ts1_wc040_d50_6_c288.png)

![2D plot, shear wave, maturity 1440 min](./plot2d/ts1_wc040_d50_6_s288.png)

![2D plot, compression and shear wave, maturity 1440 min](./plot2d/ts1_wc040_d50_6_cs288_stacked.png)

![2D plot, compression and shear wave, multiple signals](./plot2d/ts1_wc040_d50_6_multiple_stacked.png)


---
## Preview - 3D plots

![3D plot, compression wave, all](./plot3d/ts1_wc040_d50_6_c_all.png)

![3D plot, compression wave, noise](./plot3d/ts1_wc040_d50_6_c_noise.png)

![3D plot, compression wave, disturbance](./plot3d/ts1_wc040_d50_6_c_disturbance.png)

![3D plot, compression wave, sound wave](./plot3d/ts1_wc040_d50_6_c_soundwave.png)

![3D plot, shear wave, all](./plot3d/ts1_wc040_d50_6_s_all.png)

![3D plot, shear wave, noise](./plot3d/ts1_wc040_d50_6_s_noise.png)

![3D plot, shear wave, disturbance](./plot3d/ts1_wc040_d50_6_s_disturbance.png)

![3D plot, shear wave, sound wave](./plot3d/ts1_wc040_d50_6_s_soundwave.png)


---
## Preview - Temperature plots

![Specimen temperature plot, channel t1](./plottem/ts1_wc040_d50_6_tem_t1.png)

![Specimen temperature plot, channel t2](./plottem/ts1_wc040_d50_6_tem_t2.png)

![Specimen temperature plot, channel t3](./plottem/ts1_wc040_d50_6_tem_t3.png)

![Specimen temperature plot, channel t4](./plottem/ts1_wc040_d50_6_tem_t4.png)

![Specimen temperature plot, channel t1-t3](./plottem/ts1_wc040_d50_6_tem_t1-t3.png)

![Specimen temperature plot, channel t1-t4](./plottem/ts1_wc040_d50_6_tem_t1-t4.png)

